Package org.eclipse.swt.accessibility

# Class AccessibleTextEvent

java.lang.Object
java.util.EventObject
org.eclipse.swt.accessibility.AccessibleTextEvent

All Implemented Interfaces:
  `Serializable`

public class AccessibleTextEvent extends EventObject
Instances of this class are sent as a result of accessibility clients sending messages to controls asking for detailed information about the implementation of the control instance. Typically, only implementors of custom controls need to listen for this event.

Note: The meaning of each field depends on the message that was sent.

Since:
  3.0
See Also:
  - `AccessibleTextListener`
  - `AccessibleTextAdapter`
  - Sample code and further information
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`Accessible`
`accessible`
`int`
`childID`
`int`
`count`
`int`
`end`
`int`
`height`
`int`
`index`
`int`
`length`
`int`
`offset`
`int[]`
`ranges`
`Rectangle[]`
`rectangles`
`String`
`result`
The value of this field must be set in the accessible text extended listener method before returning.
`int`
`start`
`int`
`type`
`int`
`width`
`int`
`x`
`int`
`y`

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`AccessibleTextEvent(Object source)`
Constructs a new instance of this class.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### childID

public int childID

### offset

public int offset

### length

public int length

### accessible

public Accessible accessible

Since:
  3.6

### result

public String result
The value of this field must be set in the accessible text extended listener method before returning. What to set it to depends on the listener method called.

Since:
  3.6

### count

public int count

Since:
  3.6

### index

public int index

Since:
  3.6

### start

public int start

Since:
  3.6

### end

public int end

Since:
  3.6

### type

public int type

Since:
  3.6

### x

public int x

Since:
  3.6

### y

public int y

Since:
  3.6

### width

public int width

Since:
  3.6

### height

public int height

Since:
  3.6

### ranges

public int[] ranges

Since:
  3.6

### rectangles

public Rectangle[] rectangles

Since:
  3.6

## Constructor Details

### AccessibleTextEvent

public AccessibleTextEvent(Object source)
Constructs a new instance of this class.

Parameters:
  `source` - the object that fired the event

## Method Details

### toString

public String toString()
Returns a string containing a concise, human-readable description of the receiver.

Overrides:
  `toString` in class `EventObject`
Returns:
  a string representation of the event